# ~/.ssh/config
{
  systemConfig,
  systems,
  common,
  ...
}:

{
  programs.ssh = {
    enable = true;
    matchBlocks =
      let
        block = hostname: {
          port = 22;
          user = systemConfig.username;
          hostname = "${hostname}.dns.${common.domain}";
        };
      in
      {
        desktop = block "desktop";
        homelab = block "admin"; # TODO rename to homelab
        pi4 = block "pi4";
        thinkpad = block "thinkpad";
      };
  };
}
